import { Network } from "@wormhole-foundation/sdk-base";
import { Signer, TokenBridge, TransactionId, TxHash, WormholeMessageId } from "@wormhole-foundation/sdk-definitions";
import { TokenTransferDetails } from "../types";
import { Wormhole } from "../wormhole";
import { AttestationId, TransferState, WormholeTransfer } from "../wormholeTransfer";
export declare class TokenTransfer<N extends Network> implements WormholeTransfer {
    private readonly wh;
    private state;
    transfer: TokenTransferDetails;
    txids: TransactionId[];
    vaas?: {
        id: WormholeMessageId;
        vaa?: TokenBridge.VAA<"Transfer" | "TransferWithPayload">;
    }[];
    private constructor();
    getTransferState(): Promise<TransferState>;
    static from<N extends Network>(wh: Wormhole<N>, from: TokenTransferDetails): Promise<TokenTransfer<N>>;
    static from<N extends Network>(wh: Wormhole<N>, from: WormholeMessageId, timeout?: number): Promise<TokenTransfer<N>>;
    static from<N extends Network>(wh: Wormhole<N>, from: TransactionId, timeout?: number): Promise<TokenTransfer<N>>;
    private static fromIdentifier;
    private static fromTransaction;
    initiateTransfer(signer: Signer): Promise<TxHash[]>;
    fetchAttestation(timeout?: number): Promise<AttestationId[]>;
    completeTransfer(signer: Signer): Promise<TxHash[]>;
    static getTransferMessage<N extends Network>(wh: Wormhole<N>, tx: TransactionId, timeout?: number): Promise<WormholeMessageId>;
    static getTransferVaa<N extends Network>(wh: Wormhole<N>, whm: WormholeMessageId, timeout?: number): Promise<TokenBridge.VAA<"Transfer" | "TransferWithPayload">>;
}
//# sourceMappingURL=tokenTransfer.d.ts.map