import { Signer, TxHash, WormholeMessageId, CircleMessageId, IbcMessageId } from "@wormhole-foundation/sdk-definitions";
export type AttestationId = WormholeMessageId | CircleMessageId | IbcMessageId;
export declare enum TransferState {
    Created = 1,
    Initiated = 2,
    Attested = 3,
    Completed = 4,
    Finalized = 5
}
export interface WormholeTransfer {
    getTransferState(): Promise<TransferState>;
    initiateTransfer(signer: Signer): Promise<TxHash[]>;
    fetchAttestation(timeout?: number): Promise<AttestationId[]>;
    completeTransfer(signer: Signer): Promise<TxHash[]>;
}
//# sourceMappingURL=wormholeTransfer.d.ts.map